Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Komponente am Ursprung fixieren funktioniert nicht.

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Komponente am Ursprung fixieren funktioniert nicht. (301 mal gelesen)
Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3765
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault Professional 2022
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 19. Nov. 2021 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin Leute,

Das Tool "Komponente fixieren und am Ursprung fixieren" funktioniert nicht.
Es kommt die Meldung: "Komponenten kann weder fixiert noch am Ursprung platziert werden"

Jemand eine Idee?

Ja - und: Mit meinem alten Makro von AnnoTuck funktioniert es aber !!


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

[Diese Nachricht wurde von Lothar Boekels am 19. Nov. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

W. Holzwarth
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von W. Holzwarth an!   Senden Sie eine Private Message an W. Holzwarth  Schreiben Sie einen Gästebucheintrag für W. Holzwarth

Beiträge: 9192
Registriert: 13.10.2000

Inventor bis 2022, Rhino 7, Mainboard ASUS ROG STRIX X570F-Gaming, CPU Ryzen 9 5900X, 64 GB RAM, 4 TB SSD,GTX 980 Ti, Dual Monitor 24", Spacemouse Enterprise, Win 10 21H1

erstellt am: 19. Nov. 2021 18:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lothar Boekels 10 Unities + Antwort hilfreich

Scheinen besondere Randbedingungen zu sein, Lothar.
Bei mir mit 2022.2 kein Problem (1x getestet)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3765
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault Professional 2022
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 20. Nov. 2021 21:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Walter,

2022.2. war gestern und kommt nie wieder !!!

Aber:
Was hindert den Inventor denn, das zu tun, was man manuell oder via Makro tun kann?
Wie schon gesagt:
Die Komponente habe ich komplett gelöst (Abhängigkeiten) funktionierte trotzdem nicht.
Dann habe ich die Komponente aus dem Browser noch einmal in die Grafik gezogen. Da ging es auch nicht.
Aber wie oben schon berichtet: manuell und Makro funktionierte.

------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
selbstst. techn. Zeichner



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11169
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 21. Nov. 2021 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lothar Boekels 10 Unities + Antwort hilfreich

ich habe das selbe beobachtet, nur jetzt mal eine frische iam und da kurz ins leere eine ipt rein und dann ging der Befehl. Mist. Klar die Funktion sollte schon funktionieren und ich nutze den Knopf auch oft.  Ich melde mich wieder wenn es bei mir auftritt. herzilch Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Charly Setter
Moderator





Sehen Sie sich das Profil von Charly Setter an!   Senden Sie eine Private Message an Charly Setter  Schreiben Sie einen Gästebucheintrag für Charly Setter

Beiträge: 11927
Registriert: 28.05.2002

Der vernünftige Mensch paßt sich der Welt an;
der unvernünftige besteht auf dem Versuch, die Welt sich anzupassen.<P>Deshalb hängt aller Fortschritt vom unvernünftigen Menschen ab.
(George Bernard Shaw)

erstellt am: 22. Nov. 2021 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lothar Boekels 10 Unities + Antwort hilfreich

Ist mir auch in seltenen Fällen schon aufgefallen, dann aber ohne Fehlermeldung. Meist hing da aber irgendwo noch eine Abhängigkeit dran...

Und wenn das alte Makro funktioniert, ist's doch gut. Ist eh viel schlanker. 

------------------
Der vernünftige Mensch paßt sich der Welt an;
der unvernünftige besteht auf dem Versuch, die Welt sich anzupassen.

Deshalb hängt aller Fortschritt vom unvernünftigen Menschen ab.
(George Bernard Shaw)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3765
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault Professional 2022
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 22. Nov. 2021 09:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Charly Setter:
...
Und wenn das alte Makro funktioniert, ist's doch gut. Ist eh viel schlanker.  


Theoretisch könnte man es so sehen. Für mich würde das reichen. Aber der Thread war auch als Hilfe für die gedacht, die jetzt am Fliegenfänger hängen und nicht weiter wissen.

Hier noch einmal das alte Makro:

Code:

Sub AusrichtenUndFixieren()
 
    If ThisApplication.Documents.Count = 0 Then
        MsgBox "Keine Dokumente geöffnet."
        Exit Sub
    End If
 
    If ThisApplication.ActiveDocumentType <> kAssemblyDocumentObject Then
        MsgBox "Das geöffnete Dokument muss eine Baugruppe sein."
        Exit Sub
    End If
 
    Dim oAsm As AssemblyDocument
    Set oAsm = ThisApplication.ActiveDocument
 
    If oAsm.SelectSet.Count = 0 Then
        MsgBox "Es ist keine Komponenten selektiert. Zuerst eine oder mehrere Komponente(n) wählen."
        Exit Sub
    End If
 
    Dim oOcc As ComponentOccurrence
    Dim oTransformation As Matrix
 
    Dim oMatrix As Matrix
    Set oMatrix = ThisApplication.TransientGeometry.CreateMatrix
 
    Dim dCells(15) As Double
    Call oMatrix.GetMatrixData(dCells)
   
 
    For Each oOcc In oAsm.SelectSet
        Call oMatrix.PutMatrixData(dCells)
        oOcc.Transformation = oMatrix
        oOcc.Grounded = True
    Next

End Sub


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz